<template>
	<view class="page">
		<navBar :title="type+'协议'" :back="true" color="black" background="white" />

		<u-parse :content="content.content"></u-parse>
	</view>
</template>

<script>
	import {
		getConfigTextByTypeReq,
	} from '@/api/test/index.js'

	export default {
		components: {

		},
		data() {
			return {
				picBase: this.$picBase,
				content: null,
				type: '用户'
			}
		},
		async onLoad(o) {
			this.type = o.type
			let res = await getConfigTextByTypeReq({
				type: o.type == '用户' ? 9 : 10
			})
			if (res.code == 0) {
				this.content = res.data
				console.log('关于我们返回值', this.content);
			} else {
				uni.showToast({
					title: res.message,
					icon: 'none'
				})
			}
		},
		methods: {

		}
	}
</script>

<style lang="scss" scoped>
	@import "./index.scss";
</style>